using System;
using XGame.Database;
using XGame.Framework;

namespace FL.Data
{
    public class PartnerAttributes : IDisposable
    {
        public long UID { get; set; }
        public int TableId { get; set; }
        public string Name { get; set; }
        public float Radius { get; set; }
        private Attributes _attr;
        public Attributes Attr => _attr ??= ObjectPool.Acquire<Attributes>();
        void IDisposable.Dispose()
        {
            if (_attr != null)
            {
                ObjectPool.Recycle(_attr);
                _attr = null;
            }
        }
    }
}
